# Created by pyp2rpm-3.3.1
%global pypi_name sphinxcontrib-towncrier

%global bver    0.2.1
%global prel    a0

%global upver    %{bver}%{?prel}

%bcond_without docs

Name:           python-%{pypi_name}
Version:        0.2.1%{?prel:~%prel}
Release:        %mkrel 2
Summary:        Make Sphinx better at documenting Python functions and methods
Group:          Development/Python
License:        MIT or ASL 2.0
URL:            https://github.com/sphinx-contrib/sphinxcontrib-towncrier
Source0:	https://github.com/sphinx-contrib/sphinxcontrib-towncrier/archive/v%{upver}/%{pypi_name}-%{upver}.tar.gz
BuildArch:      noarch

BuildRequires:  git-core
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm-git-archive)
BuildRequires:  python3-setuptools-scm+toml
%if %{with docs}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(sphinxcontrib-apidoc)
BuildRequires:  python3dist(towncrier)
BuildRequires:  python3dist(furo)
%endif

%description
An RST directive for injecting a Towncrier-generated changelog draft containing
fragments for the unreleased (next) project version.

%package -n     python3-%{pypi_name}
Summary:        Make Sphinx better at documenting Python functions and methods
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(sphinx)

%description -n python3-%{pypi_name}
An RST directive for injecting a Towncrier-generated changelog draft containing
fragments for the unreleased (next) project version.

%prep
%autosetup -n %{pypi_name}-%{upver}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs              
PYTHONPATH=$(pwd)/build sphinx-build docs html         
# remove the sphinx-build leftovers 
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files sphinxcontrib

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Fri Nov 04 2022 wally <wally> 0.2.1~a0-2.mga9
+ Revision: 1902762
- update setuptools-scm BRs

* Wed Aug 10 2022 wally <wally> 0.2.1~a0-1.mga9
+ Revision: 1876671
- imported package python-sphinxcontrib-towncrier

